# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/api/content_info.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from atlas.api import like_pb2 as atlas_dot_api_dot_like__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/api/content_info.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1c\x61tlas/api/content_info.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a\x14\x61tlas/api/like.proto\"\xb2\x03\n\x0b\x43ontentInfo\x12\n\n\x02id\x18\x01 \x01(\x04\x12.\n\x04type\x18\x02 \x01(\x0e\x32 .weclikd.ContentInfo.ContentType\x12\x0f\n\x07user_id\x18\x03 \x01(\x04\x12\x0c\n\x04text\x18\x04 \x01(\t\x12+\n\x07\x63reated\x18\x05 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\x1d\n\x05likes\x18\x06 \x01(\x0b\x32\x0e.weclikd.Likes\x12\x14\n\x0cnum_comments\x18\x07 \x01(\r\x12\x13\n\x0bnum_reports\x18\x08 \x01(\r\x12\x30\n\x05state\x18\t \x01(\x0e\x32!.weclikd.ContentInfo.ContentState\x12/\n\x0euser_like_type\x18\n \x01(\x0e\x32\x17.weclikd.Likes.LikeType\"1\n\x0b\x43ontentType\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x08\n\x04POST\x10\x01\x12\x0b\n\x07\x43OMMENT\x10\x02\";\n\x0c\x43ontentState\x12\x11\n\rUNKNOWN_STATE\x10\x00\x12\x0b\n\x07\x43REATED\x10\x01\x12\x0b\n\x07REMOVED\x10\x02\x62\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,atlas_dot_api_dot_like__pb2.DESCRIPTOR,])



_CONTENTINFO_CONTENTTYPE = _descriptor.EnumDescriptor(
  name='ContentType',
  full_name='weclikd.ContentInfo.ContentType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='POST', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='COMMENT', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=421,
  serialized_end=470,
)
_sym_db.RegisterEnumDescriptor(_CONTENTINFO_CONTENTTYPE)

_CONTENTINFO_CONTENTSTATE = _descriptor.EnumDescriptor(
  name='ContentState',
  full_name='weclikd.ContentInfo.ContentState',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN_STATE', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CREATED', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='REMOVED', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=472,
  serialized_end=531,
)
_sym_db.RegisterEnumDescriptor(_CONTENTINFO_CONTENTSTATE)


_CONTENTINFO = _descriptor.Descriptor(
  name='ContentInfo',
  full_name='weclikd.ContentInfo',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.ContentInfo.id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.ContentInfo.type', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.ContentInfo.user_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='text', full_name='weclikd.ContentInfo.text', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.ContentInfo.created', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='likes', full_name='weclikd.ContentInfo.likes', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='num_comments', full_name='weclikd.ContentInfo.num_comments', index=6,
      number=7, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='num_reports', full_name='weclikd.ContentInfo.num_reports', index=7,
      number=8, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='state', full_name='weclikd.ContentInfo.state', index=8,
      number=9, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_like_type', full_name='weclikd.ContentInfo.user_like_type', index=9,
      number=10, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _CONTENTINFO_CONTENTTYPE,
    _CONTENTINFO_CONTENTSTATE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=97,
  serialized_end=531,
)

_CONTENTINFO.fields_by_name['type'].enum_type = _CONTENTINFO_CONTENTTYPE
_CONTENTINFO.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_CONTENTINFO.fields_by_name['likes'].message_type = atlas_dot_api_dot_like__pb2._LIKES
_CONTENTINFO.fields_by_name['state'].enum_type = _CONTENTINFO_CONTENTSTATE
_CONTENTINFO.fields_by_name['user_like_type'].enum_type = atlas_dot_api_dot_like__pb2._LIKES_LIKETYPE
_CONTENTINFO_CONTENTTYPE.containing_type = _CONTENTINFO
_CONTENTINFO_CONTENTSTATE.containing_type = _CONTENTINFO
DESCRIPTOR.message_types_by_name['ContentInfo'] = _CONTENTINFO
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ContentInfo = _reflection.GeneratedProtocolMessageType('ContentInfo', (_message.Message,), {
  'DESCRIPTOR' : _CONTENTINFO,
  '__module__' : 'atlas.api.content_info_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ContentInfo)
  })
_sym_db.RegisterMessage(ContentInfo)


# @@protoc_insertion_point(module_scope)
